package com.engine.salary.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.salary.service.SalaryCacheService;
import com.engine.salary.service.impl.SalaryCacheServiceImpl;
import weaver.hrm.User;


public class SalaryCommonWrapper extends Service {

    private SalaryCacheService getSalaryCacheService(User user) {
        return ServiceUtil.getService(SalaryCacheServiceImpl.class, user);
    }

    public String getCacheInfo(String key) {
        return getSalaryCacheService(user).get(key);
    }

    public void removeCache(String key) {
        getSalaryCacheService(user).remove(key);
    }
}
